Last Comment Bug 696449 - crash PL_DHashTableOperate (stack overflow from nsContainerFrame::RemoveFrame)
: crash PL_DHashTableOperate (stack overflow from nsContainerFrame::RemoveFrame)
Status: RESOLVED FIXED
: crash
Product: Core
Classification: Components
Component: Layout: Block and Inline (show other bugs)
: 7 Branch
: x86 Windows 7
: -- critical (vote)
: mozilla11
Assigned To: Mats Palmgren (vacation)
:
Mentors:
Depends on: 654002
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-21 12:00 PDT by Marcia Knous [:marcia - use ni]
Modified: 2011-11-17 13:08 PST (History)
1 user (show)
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Marcia Knous [:marcia - use ni] 2011-10-21 12:00:57 PDT
This bug was filed from the Socorro interface and is 
report bp-1174affa-4284-40fa-a27e-bc70c2111020 .
============================================================= 

Seen while looking at the explosive reports for Firefox 7: https://crash-stats.mozilla.com/report/list?signature=PL_DHashTableOperate%20|%20PresShell%3A%3ANotifyDestroyingFrame%28nsIFrame*%29

Many of the comments are in German. Correlations show some percentage of them have a German Dictionary. Wondering if this is possibly site related?

25% (72/287) vs.   9% (9750/104297) {d10d0bf8-f5b5-c8b4-a8b2-2b9879e08c5d} (Adblock Plus, https://addons.mozilla.org/addon/1865)
     10% (30/287) vs.   0% (61/104297) de-CH@dictionaries.addons.mozilla.org (German Dictionary (Switzerland), https://addons.mozilla.org/addon/3049)
     11% (31/287) vs.   1% (934/104297) {195A3098-0BD5-4e90-AE22-BA1C540AFD1E} (Garmin Communicator, https://addons.mozilla.org/addon/10278)
     13% (37/287) vs.   7% (7352/104297) {BBDA0591-3099-440a-AA10-41764D9DB4DB}
      7% (20/287) vs.   1% (1308/104297) {872b5b88-9db5-4310-bdd0-ac189557e5f5}
      6% (17/287) vs.   0% (478/104297) litmus-ff@f-secure.com

Frame 	Module 	Signature [Expand] 	Source
0 	xul.dll 	PL_DHashTableOperate 	obj-firefox/xpcom/build/pldhash.c:625
1 	xul.dll 	PresShell::NotifyDestroyingFrame 	layout/base/nsPresShell.cpp:3009
2 	xul.dll 	nsFrame::DestroyFrom 	layout/generic/nsFrame.cpp:444
3 	xul.dll 	nsContinuingTextFrame::DestroyFrom 	layout/generic/nsTextFrameThebes.cpp:3842
4 	xul.dll 	nsIFrame::Destroy 	layout/generic/nsIFrame.h:563
5 	xul.dll 	nsFrameList::DestroyFrameIfPresent 	layout/generic/nsFrameList.cpp:198
6 	xul.dll 	nsContainerFrame::RemoveFrame 	layout/generic/nsContainerFrame.cpp:233
7 	xul.dll 	nsContainerFrame::RemoveFrame 	
8 	xul.dll 	nsContainerFrame::RemoveFrame 	
9 	xul.dll 	nsContainerFrame::RemoveFrame 	
10 	xul.dll 	nsContainerFrame::RemoveFrame 	
11 	xul.dll 	nsContainerFrame::RemoveFrame 	
12 	xul.dll 	nsContainerFrame::RemoveFrame 	
13 	xul.dll 	nsContainerFrame::RemoveFrame 	
14 	xul.dll 	nsContainerFrame::RemoveFrame 	
15 	xul.dll 	nsContainerFrame::RemoveFrame 	
16 	xul.dll 	nsContainerFrame::RemoveFrame 	
17 	xul.dll 	nsContainerFrame::RemoveFrame 	
18 	xul.dll 	nsContainerFrame::RemoveFrame 	
19 	xul.dll 	nsContainerFrame::RemoveFrame 	
20 	xul.dll 	nsContainerFrame::RemoveFrame 	
21 	xul.dll 	nsContainerFrame::RemoveFrame 	
22 	xul.dll 	nsContainerFrame::RemoveFrame 	
23 	xul.dll 	nsContainerFrame::RemoveFrame 	
24 	xul.dll 	nsContainerFrame::RemoveFrame 	
25 	xul.dll 	nsContainerFrame::RemoveFrame 	
26 	xul.dll 	nsContainerFrame::RemoveFrame 	
27 	xul.dll 	nsContainerFrame::RemoveFrame 	
28 	xul.dll 	nsContainerFrame::RemoveFrame 	
29 	xul.dll 	nsContainerFrame::RemoveFrame 	
30 	xul.dll 	nsContainerFrame::RemoveFrame 	
31 	xul.dll 	nsContainerFrame::RemoveFrame 	
32 	xul.dll 	nsContainerFrame::RemoveFrame 	
33 	xul.dll 	nsContainerFrame::RemoveFrame 	
34 	xul.dll 	nsContainerFrame::RemoveFrame 	
35 	xul.dll 	nsContainerFrame::RemoveFrame 	
36 	xul.dll 	nsContainerFrame::RemoveFrame 	
37 	xul.dll 	nsContainerFrame::RemoveFrame 	
38 	xul.dll 	nsContainerFrame::RemoveFrame 	
39 	xul.dll 	nsContainerFrame::RemoveFrame 	
40 	xul.dll 	nsContainerFrame::RemoveFrame 	
41 	xul.dll 	nsContainerFrame::RemoveFrame 	
42 	xul.dll 	nsContainerFrame::RemoveFrame 	
43 	xul.dll 	nsContainerFrame::RemoveFrame 	
44 	xul.dll 	nsContainerFrame::RemoveFrame 	
45 	xul.dll 	nsContainerFrame::RemoveFrame 	
46 	xul.dll 	nsContainerFrame::RemoveFrame 	
47 	xul.dll 	nsContainerFrame::RemoveFrame 	
48 	xul.dll 	nsContainerFrame::RemoveFrame 	
49 	xul.dll 	nsContainerFrame::RemoveFrame 	
50 	xul.dll 	nsContainerFrame::RemoveFrame 	
51 	xul.dll 	nsContainerFrame::RemoveFrame 	
52 	xul.dll 	nsContainerFrame::RemoveFrame 	
53 	xul.dll 	nsContainerFrame::RemoveFrame 	
54 	xul.dll 	nsContainerFrame::RemoveFrame 	
55 	xul.dll 	nsContainerFrame::RemoveFrame 	
56 	xul.dll 	nsContainerFrame::RemoveFrame 	
57 	xul.dll 	nsContainerFrame::RemoveFrame 	
58 	xul.dll 	nsContainerFrame::RemoveFrame 	
59 	xul.dll 	nsContainerFrame::RemoveFrame 	
60 	xul.dll 	nsContainerFrame::RemoveFrame 	
61 	xul.dll 	nsContainerFrame::RemoveFrame 	
62 	xul.dll 	nsContainerFrame::RemoveFrame 	
63 	xul.dll 	nsContainerFrame::RemoveFrame 	
64 	xul.dll 	nsContainerFrame::RemoveFrame 	
65 	xul.dll 	nsContainerFrame::RemoveFrame 	
66 	xul.dll 	nsContainerFrame::RemoveFrame 	
67 	xul.dll 	nsContainerFrame::RemoveFrame 	
68 	xul.dll 	nsContainerFrame::RemoveFrame 	
69 	xul.dll 	nsContainerFrame::RemoveFrame 	
70 	xul.dll 	nsContainerFrame::RemoveFrame 	
71 	xul.dll 	nsContainerFrame::RemoveFrame 	
72 	xul.dll 	nsContainerFrame::RemoveFrame 	
73 	xul.dll 	nsContainerFrame::RemoveFrame 	
74 	xul.dll 	nsContainerFrame::RemoveFrame 	
75 	xul.dll 	nsContainerFrame::RemoveFrame 	
76 	xul.dll 	nsContainerFrame::RemoveFrame 	
77 	xul.dll 	nsContainerFrame::RemoveFrame 	
78 	xul.dll 	nsContainerFrame::RemoveFrame 	
79 	xul.dll 	nsContainerFrame::RemoveFrame 	
80 	xul.dll 	nsContainerFrame::RemoveFrame 	
81 	xul.dll 	nsContainerFrame::RemoveFrame 	
82 	xul.dll 	nsContainerFrame::RemoveFrame 	
83 	xul.dll 	nsContainerFrame::RemoveFrame 	
84 	xul.dll 	nsContainerFrame::RemoveFrame 	
85 	xul.dll 	nsContainerFrame::RemoveFrame 	
86 	xul.dll 	nsContainerFrame::RemoveFrame 	
87 	xul.dll 	nsContainerFrame::RemoveFrame 	
88 	xul.dll 	nsContainerFrame::RemoveFrame 	
89 	xul.dll 	nsContainerFrame::RemoveFrame 	
90 	xul.dll 	nsContainerFrame::RemoveFrame 	
91 	xul.dll 	nsContainerFrame::RemoveFrame 	
92 	xul.dll 	nsContainerFrame::RemoveFrame 	
93 	xul.dll 	nsContainerFrame::RemoveFrame 	
94 	xul.dll 	nsContainerFrame::RemoveFrame 	
95 	xul.dll 	nsContainerFrame::RemoveFrame 	
96 	xul.dll 	nsContainerFrame::RemoveFrame 	
97 	xul.dll 	nsContainerFrame::RemoveFrame 	
98 	xul.dll 	nsContainerFrame::RemoveFrame 	
99 	xul.dll 	nsContainerFrame::RemoveFrame 	
100 	xul.dll 	nsContainerFrame::RemoveFrame 	
1015 	xul.dll 	nsContainerFrame::RemoveFrame 	
1016 	xul.dll 	nsContainerFrame::RemoveFrame 	
1017 	xul.dll 	nsContainerFrame::RemoveFrame 	
1018 	xul.dll 	nsContainerFrame::RemoveFrame 	
1019 	xul.dll 	nsContainerFrame::RemoveFrame 	
1020 	xul.dll 	nsContainerFrame::RemoveFrame 	
1021 	xul.dll 	nsContainerFrame::RemoveFrame 	
1022 	xul.dll 	nsContainerFrame::RemoveFrame 	
1023 	xul.dll 	nsContainerFrame::RemoveFrame 	
1024 	xul.dll 	nsContainerFrame::RemoveFrame
Comment 1 Mats Palmgren (vacation) 2011-10-21 19:49:49 PDT
The crashes are all stack overflows due to nsContainerFrame::RemoveFrame recursion,
I have another bug on that so I can take this...
Comment 2 Bernd 2011-10-24 22:17:45 PDT
There is no crash report with a version higher than 7.0.1 (from what I see) and www.bluewin.ch is a swiss site that seems to be prone to crash
Comment 3 Mats Palmgren (vacation) 2011-11-17 13:08:43 PST
Should be fixed by bug 654002.
https://hg.mozilla.org/mozilla-central/rev/32f510d1c4c2

Note You need to log in before you can comment on or make changes to this bug.